> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-list.md).

# workflows versions list

List all workflow versions for a given workflow

## Synopsis

```shell
omics workbench workflows versions list --workflow=WORKFLOW_ID
  [--max-results=NUMBER]
  [--include-deleted]
```

## Description

List the available versions of a given workflow specified by its UUID (`WORKFLOW_ID`). You can limit the number of results and include deleted versions using the provided flags.

## Examples

List all versions of a specific workflow:

```shell
omics workbench workflows versions list --workflow 123e4567-e89b-12d3-a456-426614174000
```

List a maximum of 10 versions for the specified workflow:

```shell
omics workbench workflows versions list --workflow 123e4567-e89b-12d3-a456-426614174000 --max-results 10
```

List all versions, including deleted ones, for the specified workflow:

```shell
omics workbench workflows versions list --workflow 123e4567-e89b-12d3-a456-426614174000 --include-deleted
```

## Flags

### `--workflow`=`WORKFLOW_ID`

**Required**. Specify the UUID of the workflow for which you want to list versions.

### `--max-results`=`NUMBER`

Limit the number of versions displayed to the specified `NUMBER`.

### `--include-deleted`

If this flag is included, deleted workflows will be included in the list of responses.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
